Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028421
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorhave not tried2014-12-16 12:492015-02-04 20:34
ReporteregoitzView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision4425f34e62c7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028421: Numer of rows exceded when exporting the journal entries to excel

DescriptionWhen exporting more than 65532 rows on the jorunal entries report to excel an exception is raised:

Caused by: jxl.write.biff.RowsExceededException: The maximum number of rows permitted on a worksheet been exceeded
Steps To Reproduce-ON an environment whit a big amount of data export journal entries to excel exporting more than 65532 rows.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00273693.0PR15Q1 closedfsoto82 Numer of rows exceded when exporting the report trial balance to excel 
has duplicate defect 0028101 closedfsoto82 Numer of rows exceded when exporting the Journal Entries report to excel 
related to feature request 0029862 closedcaristu Ability to generate excel reports with more than 65532 rows 
related to defect 0035145 newTriage Finance Review limitation in maximum number of rows when exporting to excel some standard reports 

-  Notes
(0073869)
aferraz (developer)
2015-01-28 18:37

Test plan:

- On an environment whit a big amount of data export journal entries to excel exporting more than 65532 rows
(0073878)
hgbot (developer)
2015-01-29 09:45

Repository: erp/devel/pi
Changeset: 4425f34e62c7c3d129ec90e8e11e648758c0331f
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Jan 27 20:28:05 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4425f34e62c7c3d129ec90e8e11e648758c0331f [^]

Fixes bug 28421: No of rows exceed when export journal entries report to excel

Modified ReportGeneralLedgerJournal class to chek if data is empty or if it contains more than 65532 rows

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
---
(0073879)
umartirena (developer)
2015-01-29 09:47

Code Review + Testing OK.

It has been tested on an environment with more than 150.000 lines to export to the report and it launches the error properly, and also when there are no lines to export.
(0074195)
hudsonbot (developer)
2015-02-04 20:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-12-16 12:49 egoitz New Issue
2014-12-16 12:49 egoitz Assigned To => dmiguelez
2014-12-16 12:49 egoitz Modules => Core
2014-12-16 12:49 egoitz Triggers an Emergency Pack => No
2014-12-16 12:49 egoitz Relationship added related to 0027369
2014-12-16 12:53 egoitz Assigned To dmiguelez => fsoto82
2015-01-26 14:13 aferraz Assigned To fsoto82 => aferraz
2015-01-28 18:37 aferraz Note Added: 0073869
2015-01-29 09:45 hgbot Checkin
2015-01-29 09:45 hgbot Note Added: 0073878
2015-01-29 09:45 hgbot Status new => resolved
2015-01-29 09:45 hgbot Resolution open => fixed
2015-01-29 09:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4425f34e62c7c3d129ec90e8e11e648758c0331f [^]
2015-01-29 09:47 umartirena Review Assigned To => umartirena
2015-01-29 09:47 umartirena Note Added: 0073879
2015-01-29 09:47 umartirena Status resolved => closed
2015-01-29 09:47 umartirena Fixed in Version => pi
2015-02-04 19:17 aferraz Relationship added has duplicate 0028101
2015-02-04 20:34 hudsonbot Checkin
2015-02-04 20:34 hudsonbot Note Added: 0074195
2015-05-13 13:07 caristu Relationship added related to 0029862
2017-02-02 17:29 caristu Relationship added related to 0035145


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker